/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef FSTAB_H
#define FSTAB_H

#include <parted/parted.h>
#include <gtk/gtk.h> 

#define	BUFFER_SIZE	256 

typedef struct _gpedFSTabInfo gpedFSTabInfo;

#include "gped.h"

/*
 * includes
 */


gboolean
fstab_append_new_entry         (gpedFSTabInfo    *fstab_info,
                                PedPartition     *part,
                                gchar            *mount_point,
                                gchar            *fstab_partname);

void
fstab_remove_entry             (gpedFSTabInfo    *fstab_info,
                                PedPartition     *part);

void
fstab_remove_all_disk_entries (gpedFSTabInfo     *fstab_info,
                               PedDisk           *disk);

gchar* 
fstab_get_part_mount_point     (gpedFSTabInfo    *fstab_info,
                                PedPartition     *part);

gboolean
fstab_set_part_mount_point     (gpedFSTabInfo    *fstab_info,
                                PedPartition     *part,
                                gchar            *mount_point);

gpedFSTabInfo*
fstab_build_info               (gchar            *fstab_path,
                                gpedDeviceInfo   *dev_list);

void
fstab_change_done              (gpedInfo         *info);

gboolean
fstab_get_changes              (gpedFSTabInfo    *fstab_info);

gboolean
fstab_save                     (gpedFSTabInfo    *fstab_info);

#endif /* FSTAB_H */
